Apache JMeter

## org.apache.jmeter.protocol.http.util
Class HC4TrustAllSSLSocketFactory

    java.lang.Object
      org.apache.http.conn.ssl.SSLSocketFactory
          org.apache.jmeter.protocol.http.util.HC4TrustAllSSLSocketFactory

All Implemented Interfaces:
  org.apache.http.conn.scheme.LayeredSchemeSocketFactory, org.apache.http.conn.scheme.LayeredSocketFactory, org.apache.http.conn.scheme.SchemeSocketFactory, org.apache.http.conn.scheme.SocketFactory

Direct Known Subclasses:
  SlowHC4SSLSocketFactory

    public class HC4TrustAllSSLSocketFactory

extends org.apache.http.conn.ssl.SSLSocketFactory

Apache HttpClient protocol factory to generate SSL sockets

Field Summary

Fields inherited from class org.apache.http.conn.ssl.SSLSocketFactory
`ALLOW_ALL_HOSTNAME_VERIFIER, BROWSER_COMPATIBLE_HOSTNAME_VERIFIER, SSL, SSLV2, STRICT_HOSTNAME_VERIFIER, TLS`

Constructor Summary
`HC4TrustAllSSLSocketFactory()` Create an SSL factory which trusts all certificates and hosts.

Method Summary

Methods inherited from class org.apache.http.conn.ssl.SSLSocketFactory
`connectSocket, connectSocket, createLayeredSocket, createSocket, createSocket, createSocket, getHostnameVerifier, getSocketFactory, isSecure, setHostnameVerifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HC4TrustAllSSLSocketFactory

    public HC4TrustAllSSLSocketFactory()
                                throws GeneralSecurityException

  Create an SSL factory which trusts all certificates and hosts. `SSLSocketFactory.SSLSocketFactory(TrustStrategy, org.apache.http.conn.ssl.X509HostnameVerifier)`

  Throws:
    `GeneralSecurityException` - if there's a problem setting up the security

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.